::
:: RadioMod-Utility
::
:: (c) by Wagenheber
:: 10.03.2011
::


:: Start
@echo off
color F0
title RadioMod-Utility by Wagenheber V 1.0

:: Variablen deklarieren
set file=radio.xml
set type=*.wav
set fileNumber=0
set temp=templist.tmp

:: Radionamen abfragen
echo.
echo : Bitte geben Sie einen Namen fuer Ihr Radio ein.
echo.
set /p radioName=: Bestaetigen Sie danach mit ENTER: 
echo.
echo -------------------------------------------------------------------------------
echo.

echo : Das Erstellen der Auflistung Ihrer Musik Dateien ist gestartet ...

:: Songs auflisten
dir %type% /b /a-d>%temp%

:: Schreibvorgang
echo ^<?xml version="1.0" encoding="utf-8" standalone="no" ?^>>%file%
echo.>>%file%
echo ^<radio^>>>%file%

for /f "tokens=*" %%t in (%temp%) do ( echo  ^<song file="%%t" name="%%t" /^>>>%file% & set /a "fileNumber+=1" )

echo  ^<general fileNumber="%fileNumber%" radioName="%radioName%" /^>>>%file%
echo ^</radio^>>>%file%

echo : Die Auflistung wurde erstellt. 
echo.
echo -------------------------------------------------------------------------------
echo.
echo : Druecken Sie eine beliebige Taste und starten Sie den LS 2011.
echo.

:: Programm Ende
del %temp%
pause>nul
exit